# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "browseraft"
version = "0.1.0"
authors = ["Elliott Clarke <ecclarke42@gmail.com>"]
description = "A rust implementation of raft for the browser, using a BroadcastChannel for RPC"
license = "MIT"
repository = "https://github.com/ecclarke42/browseraft-rs"
[dependencies.gloo]
version = "0.2.1"

[dependencies.rand]
version = "0.6"
features = ["wasm-bindgen"]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.wasm-bindgen]
version = "0.2.42"
features = ["serde-serialize"]

[dependencies.web-sys]
version = "0.3"
features = ["console", "BroadcastChannel", "MessageEvent"]
